- Main Page
- Namespaces
- Classes
- Files
- Examples

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- n
- o
- p
- r
- s
- t
- u

### - a -

- addToIfd() : Exiv2
- addToMakerNote() : Exiv2
- append() : Exiv2

### - b -

- basename() : Util

### - c -

- canonEv() : Exiv2
- char() : Exiv2
- cmpEntriesByTag() : Exiv2
- cmpMetadataByKey() : Exiv2
- cmpMetadataByTag() : Exiv2
- cmpPreEntriesByOffset() : Exiv2
- createCanonMakerNote() : Exiv2
- createFujiMakerNote() : Exiv2
- createMinoltaMakerNote() : Exiv2
- createNikonMakerNote() : Exiv2
- createOlympusMakerNote() : Exiv2
- createPanasonicMakerNote() : Exiv2
- createSigmaMakerNote() : Exiv2
- createSonyMakerNote() : Exiv2

### - d -

- dirname() : Util

### - e -

- exifTime() : Exiv2
- exposureTime() : Exiv2

### - f -

- fileExists() : Exiv2
- find() : Exiv2
- fnumber() : Exiv2

### - g -

- gcd() : Exiv2
- getLong() : Exiv2
- getRational() : Exiv2
- getShort() : Exiv2
- getType() : Exiv2
- getType< int16_t >() : Exiv2
- getType< int32_t >() : Exiv2
- getType< Rational >() : Exiv2
- getType< uint16_t >() : Exiv2
- getType< uint32_t >() : Exiv2
- getType< URational >() : Exiv2
- getULong() : Exiv2
- getURational() : Exiv2
- getUShort() : Exiv2
- getValue() : Exiv2

### - h -

- hasMakerNote() : Exiv2
- hexdump() : Exiv2

### - i -

- isCrwType() : Exiv2
- isExifIfd() : Exiv2
- isExvType() : Exiv2
- isHex() : Exiv2
- isJpegType() : Exiv2
- isMrwType() : Exiv2
- isTiffType() : Exiv2

### - l -

- l2Data() : Exiv2

### - n -

- newCanonMn() : Exiv2
- newCrwInstance() : Exiv2
- newExvInstance() : Exiv2
- newFujiMn() : Exiv2
- newJpegInstance() : Exiv2
- newMinoltaMn() : Exiv2
- newMrwInstance() : Exiv2
- newNikonMn() : Exiv2
- newOlympusMn() : Exiv2
- newPanasonicMn() : Exiv2
- newSigmaMn() : Exiv2
- newSonyMn() : Exiv2
- newTiffArrayElement() : Exiv2
- newTiffArrayEntry() : Exiv2
- newTiffDirectory() : Exiv2
- newTiffInstance() : Exiv2
- newTiffMnEntry() : Exiv2
- newTiffSubIfd() : Exiv2
- newTiffThumbData() : Exiv2
- newTiffThumbSize() : Exiv2

### - o -

- operator<<() : Exiv2
- operator>>() : Exiv2

### - p -

- packIfdId() : Exiv2
- print0x0103() : Exiv2
- print0x0106() : Exiv2
- print0x0112() : Exiv2
- print0x0213() : Exiv2
- print0x8298() : Exiv2
- print0x829a() : Exiv2
- print0x829d() : Exiv2
- print0x8822() : Exiv2
- print0x8827() : Exiv2
- print0x9101() : Exiv2
- print0x9201() : Exiv2
- print0x9202() : Exiv2
- print0x9204() : Exiv2
- print0x9206() : Exiv2
- print0x9207() : Exiv2
- print0x9208() : Exiv2
- print0x9209() : Exiv2
- print0x920a() : Exiv2
- print0x9286() : Exiv2
- print0xa001() : Exiv2
- print0xa217() : Exiv2
- print0xa300() : Exiv2
- print0xa301() : Exiv2
- print0xa402() : Exiv2
- print0xa403() : Exiv2
- print0xa404() : Exiv2
- print0xa405() : Exiv2
- print0xa406() : Exiv2
- print0xa407() : Exiv2
- print0xa408() : Exiv2
- print0xa409() : Exiv2
- print0xa40a() : Exiv2
- print0xa40c() : Exiv2
- printFloat() : Exiv2
- printLong() : Exiv2
- printTag() : Exiv2
- printUnit() : Exiv2
- printValue() : Exiv2

### - r -

- r2Data() : Exiv2

### - s -

- s2Data() : Exiv2
- setValue() : Exiv2
- strError() : Exiv2
- strtol() : Util
- suffix() : Util

### - t -

- tiffGroupName() : Exiv2
- toData() : Exiv2
- toString() : Exiv2

### - u -

- ul2Data() : Exiv2
- ur2Data() : Exiv2
- us2Data() : Exiv2